linux: 3.19.0-48.54 -proposed tracker

Bug #1536124 reported by Luis Henriques on 2016-01-20
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Ubuntu Stable Release Updates Team
Promote-to-updates
Medium
Ubuntu Stable Release Updates Team
Regression-testing
Medium
Canonical Kernel Team
Security-signoff
Medium
Steve Beattie
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Vivid
Medium
Unassigned

Bug Description

This bug is for tracking the 3.19.0-48.54 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 20. January 2016 10:56 UTC
kernel-stable-Prepare-package-end:Wednesday, 20. January 2016 21:03 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 20. January 2016 21:03 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 21. January 2016 15:01 UTC
kernel-stable-phase:Verification & Testing
kernel-stable-phase-changed:Thursday, 21. January 2016 16:03 UTC
kernel-stable-Verification-testing-start:Thursday, 21. January 2016 16:03 UTC
kernel-stable-Certification-testing-start:Thursday, 21. January 2016 16:03 UTC
kernel-stable-Security-signoff-start:Thursday, 21. January 2016 16:03 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Thursday, 21. January 2016 16:03 UTC
kernel-stable-Security-signoff-end:Friday, 22. January 2016 10:39 UTC

Luis Henriques (henrix) on 2016-01-20
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-vivid
tags: added: vivid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu Vivid):
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid

All builds are complete, packages in this bug can be copied to -proposed.

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-vivid (14.04.1) - bug 1536366

description: updated

 linux | 3.19.0-48.54 | vivid-proposed | source
 linux-meta | 3.19.0.48.47 | vivid-proposed | source
 linux-signed | 3.19.0-48.54 | vivid-proposed | source

Brad Figg (brad-figg) on 2016-01-21
description: updated

Here's the relevant information:

 vivid linux 3.19.0-48.54 REGR summary<REGN: 4 MISS: 6 REGR: 2 FAIL: 40 GOOD: 92>

Please verify test results in http://people.canonical.com/~kernel/status/adt-matrix/overall.txt

description: updated
Brad Figg (brad-figg) on 2016-01-22
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.19.0-49.55

---------------
linux (3.19.0-49.55) vivid; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1536775

  [ Colin Ian King ]

  * SAUCE: (no-up) ACPI / tables: Add acpi_force_32bit_fadt_addr option to
    force 32 bit FADT addresses
    - LP: #1529381

  [ Tim Gardner ]

  * [Config] Add DRM ast driver to udeb installer image
    - LP: #1514711
  * SAUCE: (no-up) Revert "[SCSI] libiscsi: Reduce locking contention in
    fast path"
    - LP: #1517142

  [ Upstream Kernel Changes ]

  * powerpc/eeh: Fix recursive fenced PHB on Broadcom shiner adapter
    - LP: #1532942
  * Drivers: hv: vmbus: prevent cpu offlining on newer hypervisors
    - LP: #1440103
  * Drivers: hv: vmbus: teardown hv_vmbus_con workqueue and
    vmbus_connection pages on shutdown
    - LP: #1440103
  * drivers: hv: vmbus: Teardown synthetic interrupt controllers on module
    unload
    - LP: #1440103
  * clockevents: export clockevents_unbind_device instead of
    clockevents_unbind
    - LP: #1440103
  * Drivers: hv: vmbus: Teardown clockevent devices on module unload
    - LP: #1440103
  * Drivers: hv: vmbus: Add support for VMBus panic notifier handler
    - LP: #1440103
  * hv: run non-blocking message handlers in the dispatch tasklet
    - LP: #1440103
  * Drivers: hv: vmbus: unregister panic notifier on module unload
    - LP: #1440103
  * Drivers: hv: vmbus: Implement the protocol for tearing down vmbus state
    - LP: #1440103
  * kexec: define kexec_in_progress in !CONFIG_KEXEC case
    - LP: #1440103
  * Drivers: hv: vmbus: add special kexec handler
    - LP: #1440103
  * Drivers: hv: don't do hypercalls when hypercall_page is NULL
    - LP: #1440103
  * Drivers: hv: vmbus: add special crash handler
    - LP: #1440103
  * Drivers: hv: vmbus: prefer 'die' notification chain to 'panic'
    - LP: #1440103
  * hyperv: Implement netvsc_get_channels() ethool op
    - LP: #1494423
  * hv_netvsc: Properly size the vrss queues
    - LP: #1494423
  * hv_netvsc: Allocate the sendbuf in a NUMA aware way
    - LP: #1494423
  * hv_netvsc: Allocate the receive buffer from the correct NUMA node
    - LP: #1494423
  * Drivers: hv: vmbus: Implement NUMA aware CPU affinity for channels
    - LP: #1494423
  * Drivers: hv: vmbus: Allocate ring buffer memory in NUMA aware fashion
    - LP: #1494423
  * Drivers: hv: vmbus: Improve the CPU affiliation for channels
    - LP: #1494423
  * Drivers: hv: vmbus: Further improve CPU affiliation logic
    - LP: #1494423

linux (3.19.0-48.54) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1536124
  * Merged back Ubuntu-3.19.0-46.52

 -- Brad Figg <email address hidden> Thu, 21 Jan 2016 12:29:48 -0800

Changed in linux (Ubuntu Vivid):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers